## r-cran-packrat 0.5.0

=== DESCRIPTION ===
Package: packrat
Type: Package
Title: A Dependency Management System for Projects and their R Package
        Dependencies
Version: 0.5.0
Author: Kevin Ushey, Jonathan McPherson, Joe Cheng, Aron Atkins, JJ Allaire
Maintainer: Kevin Ushey <kevin@rstudio.com>
Description: Manage the R packages your project depends
    on in an isolated, portable, and reproducible way.
License: GPL-2
Depends: R (>= 3.0.0)
Imports: tools, utils
Suggests: testthat (>= 0.7), devtools, httr, knitr, rmarkdown
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-11-13 23:16:36 UTC; kevin
Repository: CRAN
Date/Publication: 2018-11-14 08:40:02 UTC

=== tests/testthat/packages/egg/DESCRIPTION ===
Package: bread
Type: Package
Version: 1.0.0
Repository: CRAN
License: GPL
Description: Packrat test package
Title: Packrat test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>
LinkingTo: yolk

=== tests/testthat/packages/oatmeal/DESCRIPTION ===
Package: oatmeal
Type: Package
Version: 1.0.0
Repository: CRAN
License: GPL
Description: Packrat test package
Title: Packrat test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== tests/testthat/packages/packrat/DESCRIPTION ===
Package: packrat
Type: Package
Title: A Dependency Management System for Projects and their R Package
    Dependencies
Version: 0.4.9-15
Author: Kevin Ushey, Jonathan McPherson, Joe Cheng, Aron Atkins, JJ Allaire
Maintainer: Kevin Ushey <kevin@rstudio.com>
Description: Manage the R packages your project depends
    on in an isolated, portable, and reproducible way.
License: GPL-2
Depends:
    R (>= 3.0.0)
Imports:
    tools,
    utils
Suggests:
    testthat (>= 0.7),
    devtools,
    httr,
    knitr,
    rmarkdown
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
RoxygenNote: 6.1.0
Repository: CRAN

=== tests/testthat/packages/toast/DESCRIPTION ===
Package: toast
Depends: bread
Type: Package
Version: 1.0.0
Repository: CRAN
License: GPL
Description: Packrat test package
Title: Packrat test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== debian/changelog ===
r-cran-packrat (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 23:27:14 +0100

r-cran-packrat (0.5.0-1) unstable; urgency=medium

  * Initial release (closes: #898730)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2019 16:45:32 +0200

=== debian/control ===
Source: r-cran-packrat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-packrat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-packrat.git
Homepage: https://cran.r-project.org/package=packrat

Package: r-cran-packrat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R dependency management system for R package dependencies
 Manage the R packages your project depends on in an isolated,
 portable, and reproducible way.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/packrat_([-\d.]*)\.tar\.gz

## r-cran-packrat 0.7.0

=== DESCRIPTION ===
Package: packrat
Type: Package
Title: A Dependency Management System for Projects and their R Package
        Dependencies
Version: 0.7.0
Author: Kevin Ushey, Jonathan McPherson, Joe Cheng, Aron Atkins, JJ Allaire
Maintainer: Aron Atkins <aron@rstudio.com>
Description: Manage the R packages your project depends
    on in an isolated, portable, and reproducible way.
License: GPL-2
Depends: R (>= 3.0.0)
Imports: tools, utils
Suggests: testthat (>= 3.0.0), devtools, httr, knitr, rmarkdown
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
RoxygenNote: 7.1.1
Encoding: UTF-8
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-08-19 20:08:05 UTC; aron
Repository: CRAN
Date/Publication: 2021-08-20 15:20:02 UTC

=== tests/testthat/packages/packrat/DESCRIPTION ===
Package: packrat
Type: Package
Title: A Dependency Management System for Projects and their R Package
    Dependencies
Version: 0.6.0-1
Author: Kevin Ushey, Jonathan McPherson, Joe Cheng, Aron Atkins, JJ Allaire
Maintainer: Aron Atkins <aron@rstudio.com>
Description: Manage the R packages your project depends
    on in an isolated, portable, and reproducible way.
License: GPL-2
Depends:
    R (>= 3.0.0)
Imports:
    tools,
    utils
Suggests:
    testthat (>= 3.0.0),
    devtools,
    httr,
    knitr,
    rmarkdown
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
RoxygenNote: 7.1.1
Encoding: UTF-8
Config/testthat/edition: 3
Repository: CRAN

=== debian/changelog ===
r-cran-packrat (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:23:35 +0200

r-cran-packrat (0.5.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:33:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-packrat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-packrat.git
 Homepage: https://cran.r-project.org/package=packrat
+Rules-Requires-Root: no
 
 Package: r-cran-packrat
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name mac_r_userlib.sh -exec chmod +x \{\} \;

## r-cran-packrat 0.8.1

=== debian/changelog ===
r-cran-packrat (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.1
  * Do not change workdir in tests for it fails in debci env

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Jul 2022 22:46:58 +0530

r-cran-packrat (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 May 2022 08:45:59 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-packrat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-packrat.git
 Homepage: https://cran.r-project.org/package=packrat

## r-cran-packrat 0.9.0

=== DESCRIPTION ===
Package: packrat
Type: Package
Title: A Dependency Management System for Projects and their R Package
        Dependencies
Version: 0.9.0
Author: Kevin Ushey, Jonathan McPherson, Joe Cheng, Aron Atkins, JJ Allaire,
    Toph Allen
Maintainer: Aron Atkins <aron@posit.co>
Description: Manage the R packages your project depends
    on in an isolated, portable, and reproducible way.
License: GPL-2
Depends: R (>= 3.0.0)
Imports: tools, utils
Suggests: testthat (>= 3.0.0), devtools, httr, knitr, mockery,
        rmarkdown
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
RoxygenNote: 7.2.1
Encoding: UTF-8
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-01-09 18:28:51 UTC; aron
Repository: CRAN
Date/Publication: 2023-01-09 22:40:02 UTC

=== tests/testthat/Ugly, but legal, path for a project (long)/bread/DESCRIPTION ===
Package: bread
Type: Package
Version: 1.0.0
Repository: CRAN
License: GPL
Description: Packrat test package
Title: Packrat test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== tests/testthat/Ugly, but legal, path for a project (long)/breakfast/DESCRIPTION ===
Package: breakfast
Type: Package
Version: 1.0.0
Depends: oatmeal, toast
Repository: CRAN
License: GPL
Description: Packrat test package
Title: Packrat test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== tests/testthat/packages/packrat/DESCRIPTION ===
Package: packrat
Type: Package
Title: A Dependency Management System for Projects and their R Package
    Dependencies
Version: 0.8.1-1
Author: Kevin Ushey, Jonathan McPherson, Joe Cheng, Aron Atkins, JJ Allaire,
    Toph Allen
Maintainer: Aron Atkins <aron@posit.co>
Description: Manage the R packages your project depends
    on in an isolated, portable, and reproducible way.
License: GPL-2
Depends:
    R (>= 3.0.0)
Imports:
    tools,
    utils
Suggests:
    testthat (>= 3.0.0),
    devtools,
    httr,
    knitr,
    mockery,
    rmarkdown
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
RoxygenNote: 7.2.1
Encoding: UTF-8
Config/testthat/edition: 3
Repository: CRAN

=== debian/changelog ===
r-cran-packrat (0.9.0-2) unstable; urgency=medium

  * Do not attempt to download anything in autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2023 16:15:20 +0100

r-cran-packrat (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Sync Test-Depends with Suggests

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 14:16:07 +0100

=== debian/control ===
Source: r-cran-packrat
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-packrat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-packrat.git
Homepage: https://cran.r-project.org/package=packrat
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-packrat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R dependency management system for R package dependencies
 Manage the R packages your project depends on in an isolated,
 portable, and reproducible way.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-devtools,
         r-cran-httr,
         r-cran-knitr,
         r-cran-mockery,
         r-cran-rmarkdown
Restrictions: allow-stderr, needs-internet

## r-cran-packrat 0.9.1

=== DESCRIPTION ===
Type: Package
Package: packrat
Title: A Dependency Management System for Projects and their R Package
        Dependencies
Version: 0.9.1
Authors@R: c(
    person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
    person("Toph", "Allen", role = "aut"),
    person("Kevin", "Ushey", role = "aut"),
    person("Jonathan", "McPherson", role = "aut"),
    person("Joe", "Cheng", role = "aut"),
    person("JJ", "Allaire", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Manage the R packages your project depends on in an isolated,
    portable, and reproducible way.
License: GPL-2
URL: https://github.com/rstudio/packrat/
BugReports: https://github.com/rstudio/packrat/issues
Depends: R (>= 3.0.0)
Imports: tools, utils
Suggests: devtools, httr, knitr, mockery, rmarkdown, testthat (>=
        3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2023-02-27 18:08:33 UTC; aron
Author: Aron Atkins [aut, cre],
  Toph Allen [aut],
  Kevin Ushey [aut],
  Jonathan McPherson [aut],
  Joe Cheng [aut],
  JJ Allaire [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Aron Atkins <aron@posit.co>
Repository: CRAN
Date/Publication: 2023-02-27 18:52:29 UTC

=== debian/changelog ===
r-cran-packrat (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 11:50:39 +0200

## r-cran-packrat 0.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: packrat
 Title: A Dependency Management System for Projects and their R Package
         Dependencies
-Version: 0.9.1
+Version: 0.9.2
 Authors@R: c(
     person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
     person("Toph", "Allen", role = "aut"),
@@ -15,7 +15,7 @@
 Description: Manage the R packages your project depends on in an isolated,
     portable, and reproducible way.
 License: GPL-2
-URL: https://github.com/rstudio/packrat/
+URL: https://github.com/rstudio/packrat
 BugReports: https://github.com/rstudio/packrat/issues
 Depends: R (>= 3.0.0)
 Imports: tools, utils
@@ -23,9 +23,9 @@
         3.0.0)
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-02-27 18:08:33 UTC; aron
+Packaged: 2023-09-05 11:45:33 UTC; aron
 Author: Aron Atkins [aut, cre],
   Toph Allen [aut],
   Kevin Ushey [aut],
@@ -35,4 +35,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Aron Atkins <aron@posit.co>
 Repository: CRAN
-Date/Publication: 2023-02-27 18:52:29 UTC
+Date/Publication: 2023-09-05 13:00:02 UTC

=== tests/testthat/Ugly, but legal, path for a project (long)/packrat/DESCRIPTION ===
Package: packrat
Type: Package
Version: 0.0.0
Repository: CRAN
License: GPL
Description: Packrat test package
Title: Packrat test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== tests/testthat/packages/packrat/DESCRIPTION ===
Type: Package
Package: packrat
Title: A Dependency Management System for Projects and their R Package
    Dependencies
Version: 0.9.1-1
Authors@R: c(
    person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
    person("Toph", "Allen", role = "aut"),
    person("Kevin", "Ushey", role = "aut"),
    person("Jonathan", "McPherson", role = "aut"),
    person("Joe", "Cheng", role = "aut"),
    person("JJ", "Allaire", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Manage the R packages your project depends on in an isolated,
    portable, and reproducible way.
License: GPL-2
URL: https://github.com/rstudio/packrat
BugReports: https://github.com/rstudio/packrat/issues
Depends:
    R (>= 3.0.0)
Imports:
    tools,
    utils
Suggests:
    devtools,
    httr,
    knitr,
    mockery,
    rmarkdown,
    testthat (>= 3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
Repository: CRAN

=== debian/changelog ===
r-cran-packrat (0.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2023 05:40:37 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-devtools,
        r-cran-httr,
        r-cran-knitr,
        r-cran-mockery,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr, needs-internet

## r-cran-packrat 0.9.3

=== debian/changelog ===
r-cran-packrat (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 20 Jan 2026 16:46:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-packrat
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-packrat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-packrat.git
 Homepage: https://cran.r-project.org/package=packrat
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-packrat
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,7 @@
         r-cran-knitr,
         r-cran-mockery,
         r-cran-rmarkdown,
-        r-cran-testthat (>= 3.0.0)
+        r-cran-testthat (>= 3.0.0),
+        r-cran-webfakes,
+        r-cran-withr
 Restrictions: allow-stderr, needs-internet
